<template>
  <button
    :class="$style.iconButton"
    :style="{
      width: width + 'px',
      height: height + 'px'
    }"
    v-bind="$attrs"
    v-on="$listeners"
  >
    <slot />
  </button>
</template>

<script>
export default {
  name: "IconBtn",
  props: {
    width: {
      type: Number,
      default: 44
    },
    height: {
      type: Number,
      default: 44
    }
  }
};
</script>

<style lang="scss" module>
@import "../../shared/styles/imports.scss";

.iconButton {
  @include clearBrn();

  display: flex;
  justify-content: center;
  align-items: center;
}
</style>
